Show / Hide Table of Contents

# CancellationTokenAwaitable Struct

###### Namespace: Cysharp.Threading.Tasks

###### Assembly: cs.temp.dll.dll

    public struct CancellationTokenAwaitable

### Members

#### Constructors

Name | Description
--- | ---
CancellationTokenAwaitable(CancellationToken) |

#### Methods

Name | Description
--- | ---
GetAwaiter() |

### Constructors

#### CancellationTokenAwaitable(CancellationToken)

    public CancellationTokenAwaitable(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` System.Threading.CancellationToken

### Methods

#### GetAwaiter()

    public CancellationTokenAwaitable.Awaiter GetAwaiter()

##### Returns

CancellationTokenAwaitable.Awaiter